def map_params_to_api(params, map_dict):
    """Map the values from the playbook to the Values for the API."""
    transformed = {}
    for api_key, input_key in map_dict.items():
        if params.get(input_key, None):
            transformed[api_key] = params[input_key]
    return transformed


def get_central_auth(params):
    return {
        "username": params.get("central_username"),
        "api_key": params.get("central_api_key"),
    }
